TONTONDocs
TON CenterV3Accounts

applications/api/toncenter/v3/accounts/get-wallet-states

GET
/api/v3/walletStates

Query Parameters

address*array<string>

List of addresses in any form. Maximum 1000 addresses allowed.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/walletStates?address=string"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  },
  "wallets": [
    {
      "address": "string",
      "balance": "string",
      "code_hash": "string",
      "extra_currencies": {
        "property1": "string",
        "property2": "string"
      },
      "is_signature_allowed": true,
      "is_wallet": true,
      "last_transaction_hash": "string",
      "last_transaction_lt": "0",
      "seqno": 0,
      "status": "string",
      "wallet_id": 0,
      "wallet_type": "string"
    }
  ]
}
{
  "code": 0,
  "error": "string"
}

Last updated on